githubEdit

LanguagesSettings

circle-info

This document uses the REST API. For more details, see the Authentication for API page.

Get language settings for an organization (Early Access)

get

Retrieves the language settings for a specific organization.

Required permissions

  • View Organization (org.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

The id of the org for which we want to update the Snyk Languages settings

Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
ending_beforestringOptional

Return the page of results immediately before this cursor

Example: v1.eyJpZCI6IjExMDAifQo=
starting_afterstringOptional

Return the page of results immediately after this cursor

Example: v1.eyJpZCI6IjEwMDAifQo=
limitinteger · int32 · min: 10 · max: 100Optional

Number of results to return per page

Default: 10Example: 10
Responses
chevron-right
200

The Languages settings for the org

application/vnd.api+json
get
/orgs/{org_id}/settings/open_source/languages

Update language settings for an organization (Early Access)

patch

Updates one or more language settings for a specific organization.

Required permissions

  • View Organization (org.read)

  • Edit Organization (org.edit)

Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

The id of the org for which we want to update the Snyk Languages settings

languagestring · enumRequired

The language for which settings are being updated

Possible values:
Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Body
Responses
chevron-right
200

The Languages settings for the org have been updated

application/vnd.api+json
patch
/orgs/{org_id}/settings/open_source/languages/{language}

Last updated

Was this helpful?